# Commandline Application - 4xml

#### command-line tool for working with XML documents

> 4XML command-line application

## Usage

    4xml
    [--help] [--version] [--validate] [--encoding=<ENC>]
    [--input-encoding=<ENC>] [--outfile=<FILE>] [--pretty]
    [--noserialize] [--html] [--noxinclude] [--rng=<FILE>]
    source-uri

## Options

Name | Description
--- | ---
-h, --help | show detailed help message
-V, --version | display version information and exit
-v, --validate | DTD validate the input file as it is being parsed
-e, --encoding=<ENC> | The encoding to use for output
--input-encoding=<ENC> | The encoding to assume for input
-o, --outfile=<FILE> | Direct output to FILE (file will be overwritten if it exists)
-p, --pretty | Pretty-print the result
-n, --noserialize | Do not serialize; just parse
--html | Use HTML mode when pretty-printing (emit XHTML as HTML)
--noxinclude | Do not expand XIncludes
--rng=<FILE> | Apply RELAX NG from the given file (technically RNG with XVIF features)

## Arguments

Name | Description
--- | ---
source-uri | The URI of the XML document to parse, or "-" to indicate standard input.